Ubuntu12.04:升級php至php5.4後imagemagick的問題

最近將php升級至5.4後,發生了找不到imagemagick extension的問題,以下是解法:

如果遇到以下error message:

那就試試這個:

最後再重新安裝:

記得修改php.ini

參考文章:
http://devilsworkshop.org/tutorial/php54-imagemagick-pecl-installation/61444/